package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddZeroAssessMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddZeroAssess;
import com.goldenwater.slaj.hidd.service.IBisHiddZeroAssessService;

/**
 * 隐患零报告考核 服务层实现
 */
@Service
public class BisHiddZeroAssessServiceImpl implements IBisHiddZeroAssessService {

    @Autowired
    private BisHiddZeroAssessMapper bisHiddZeroAssessMapper;

    /**
     * 查询隐患零报告考核信息
     * @param id 查询条件
     * @return 隐患零报告考核信息
     */
    @Override
    public BisHiddZeroAssess selectBisHiddZeroAssessById(Long id) {
        return bisHiddZeroAssessMapper.selectBisHiddZeroAssessById(id);
    }

    /**
     * 查询隐患零报告考核列表
     * @param bisHiddZeroAssess 隐患零报告考核查询条件
     * @return 隐患零报告考核集合
     */
    @Override
    public List<BisHiddZeroAssess> selectBisHiddZeroAssessList(BisHiddZeroAssess bisHiddZeroAssess) {
        return bisHiddZeroAssessMapper.selectBisHiddZeroAssessList(bisHiddZeroAssess);
    }

    /**
     * 新增隐患零报告考核
     * @param bisHiddZeroAssess 隐患零报告考核信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddZeroAssess(BisHiddZeroAssess bisHiddZeroAssess) {
        return bisHiddZeroAssessMapper.insertBisHiddZeroAssess(bisHiddZeroAssess);
    }

    /**
     * 修改隐患零报告考核
     * @param bisHiddZeroAssess 隐患零报告考核信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddZeroAssess(BisHiddZeroAssess bisHiddZeroAssess) {
        return bisHiddZeroAssessMapper.updateBisHiddZeroAssess(bisHiddZeroAssess);
    }

    /**
     * 删除隐患零报告考核
     * @param id 隐患零报告考核主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddZeroAssessById(Long id) {
        return bisHiddZeroAssessMapper.deleteBisHiddZeroAssessById(id);
    }

    /**
     * 批量删除隐患零报告考核
     * @param ids 隐患零报告考核主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddZeroAssessByIds(Long[] ids) {
        return bisHiddZeroAssessMapper.deleteBisHiddZeroAssessByIds(ids);
    }
}
